=== debian/changelog ===
girara (0.1.0-1) experimental; urgency=low

  [ Sebastian Ramacher ]
  * Initial release (Closes: #660789)

  [ Jakub Wilk ]
  * Add myself to Uploaders.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 01 Mar 2012 17:57:14 +0100
