=== debian/changelog ===
girara (0.1.1-1) experimental; urgency=low

  * New upstream release.
  * debian/control: Add Build-Dep on gettext to build translation files.
  * debian/libgirara-common-dev.install: Removed. It shouldn't have been there
    in the first place.
  * debian/libgirara-gtk{2,3}-0.install: Install translations files.
  * debian/patch:
    - Add separate-mo-files patch to get two separate mo files for
      libgirara-gtk2-0 and libgirara-gtk3-0.
    - Add fix-translation from upstream to fix issues in the German
      translation.
    - Add patch msgfmt-endianness to run msgfmt with --endianness little for
      the same result on every architecture.
  * debian/rules: Build the translation files.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Thu, 15 Mar 2012 21:55:21 +0100
