=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  libgtk-3-dev,
  libgtk2.0-dev,
  pkg-config,
+ gettext,
  xauth,
  xvfb
 Build-Depends-Indep:
