=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 override_dh_auto_build-arch:
 	set -e; for gtkver in 2 3 ; do \
-		GIRARA_GTK_VERSION=$$gtkver $(MAKE) ; \
+		GIRARA_GTK_VERSION=$$gtkver $(MAKE) all po ; \
 	done
 
 override_dh_auto_test-arch:
