## girara 0.1.2

=== Makefile ===
--- 
+++ 
@@ -13,14 +13,14 @@
 
 
 ifeq (,$(findstring -DGETTEXT_PACKAGE,${CPPFLAGS}))
-CPPFLAGS += -DGETTEXT_PACKAGE=\"${PROJECTNV}\"
+CPPFLAGS += -DGETTEXT_PACKAGE=\"${GETTEXT_PACKAGE}\"
 endif
 ifeq (,$(findstring -DLOCALEDIR,${CPPFLAGS}))
 CPPFLAGS += -DLOCALEDIR=\"${LOCALEDIR}\"
 endif
 
 
-all: options ${PROJECT}
+all: options ${PROJECT} po
 
 options:
 	@echo ${PROJECT} build options:
@@ -119,7 +119,7 @@
 update-po:
 	$(QUIET)${MAKE} -C po update-po
 
-install: all install-headers po
+install: all install-headers
 	$(ECHO) installing library file
 	$(QUIET)mkdir -p ${DESTDIR}${LIBDIR}
 	$(QUIET)install -m 644 lib${PROJECT}.a ${DESTDIR}${LIBDIR}
