=== debian/changelog ===
girara (0.1.2-3) unstable; urgency=low

  [ Sebastian Ramacher ]
  * debian/rules:
    - Call rm with -f to remove installdox since  doxygen 1.8.1-1 stopped to
      generate it. Thanks to Lucas Nussbaum for the report. (Closes: #674297)
    - Call xvfb-run with -a to prevent FTBFS if there is already another xvfb
      instance running.

  [ Jakub Wilk ]
  * Add DM-Upload-Allowed.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Thu, 24 May 2012 19:24:25 +0200

girara (0.1.2-2) unstable; urgency=low

  * debian/copyright: Fix formatting.
  * debian/patches:
    - Add patch unset-HOME from upstream to fix test failure if HOME is set.
      Thanks to Lucas Nussbaum for the report. (Closes: #669548)
    - Add patch fix-errno-usage from upstream to fix errno usage in the test
      suite. Thanks to Jakub Wilk for the report. (Closes: #666416)
    - Add patch update-translations for updated and new translations.
    - Add patch fix-gtk-3.4-deprecation-warnings to fix deprecation warnings
      when built against GTK+ 3.4.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Fri, 20 Apr 2012 15:35:51 +0200

girara (0.1.2-1) unstable; urgency=low

  * Upload to unstable.
  * New upstream release.
  * debian/rules:
    - Set MSGFMTFLAGS=--endianness little. This makes
      debian/patches/msgfmt-endianness obsolete.
    - Set CK_DEFAULT_TIMEOUT=0 to disable check's timeout functionality. The
      tests may take longer than the default timeout of 4 seconds.
    - Upstream's build system now builds the mo pages in the default target so
      there is no need to call it manually anymore.
  * debian/patches:
    - Drop msgfmt-endianness: obsolete.
    - Drop separate-mo-files: not needed anymore as this is fixed upstream.
    - Drop fix-translation: not needed anymore.
  * debian/libgirara-symbols.common: Add new symbols.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Sat, 24 Mar 2012 23:44:52 +0100
