=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Sebastian Ramacher <s.ramacher@gmx.at>
 Uploaders: Jakub Wilk <jwilk@debian.org>
+DM-Upload-Allowed: yes
 Build-Depends:
  check,
  debhelper (>= 9),
