=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,10 @@
 export VERBOSE=1
 # install into multiarch libdir
 export LIBDIR=/usr/lib/$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+# disable check's timeout funtionality
+export CK_DEFAULT_TIMEOUT=0
+# use little endian mo files everywhere
+export MSGFMTFLAGS=--endianness little
 
 %:
 	dh $@
@@ -20,12 +24,12 @@
 
 override_dh_auto_build-arch:
 	set -e; for gtkver in 2 3 ; do \
-		GIRARA_GTK_VERSION=$$gtkver $(MAKE) all po ; \
+		GIRARA_GTK_VERSION=$$gtkver $(MAKE) ; \
 	done
 
 override_dh_auto_test-arch:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	xvfb-run sh -c 'set -e; for gtkver in 2 3 ; do \
+	xvfb-run -a sh -c 'set -e; for gtkver in 2 3 ; do \
 		GIRARA_GTK_VERSION=$$gtkver $(MAKE) test ; \
 	done'
 endif
@@ -43,7 +47,8 @@
 	# and replace it with the one from libjs-jquery
 ifneq "$(wildcard /usr/bin/doxygen)" ""
 	$(MAKE) doc ;
-	rm doc/html/installdox doc/html/jquery.js
+	rm -f doc/html/installdox
+	rm doc/html/jquery.js
 	ln -s /usr/share/javascript/jquery/jquery.js doc/html/jquery.js
 endif
