=== debian/changelog ===
girara (0.1.6-2) unstable; urgency=low

  * Upload to unstable.
  * debian/patches/check-missing-pthread.patch: Link against pthread manually
    since check's pkg-config doesn't include it. See #712140 for details.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 13 Jun 2013 21:09:50 +0200

girara (0.1.6-1) experimental; urgency=low

  * New upstream release.
  * debian/control: Remove Jakub Wilk from Uploaders on his request. Thank you
    for all your work on girara, Jakub.
  * debian/patches:
    - add-translations.patch: Removed, not needed anymore.
    - glib-2.35.3-HOME.patch: Fix handling of HOME in testsuite with glib >=
      2.35.3.
  * debian/libgirara.common.symbols: Add new symbols.
  * debian/rules: Run dh with --parallel.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 13 May 2013 13:21:49 +0200

girara (0.1.5-1) experimental; urgency=low

  * New upstream release.
  * debian/patches:
    - Drop old patches, not needed anymore.
    - add-translations.patch: Add Greek and Portuguese (Brazil) translations
      from upstream.
  * debian/libgirara.common.symbols: Add new symbols.
  * debian/copyright: Update copyright years.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 23 Jan 2013 23:23:00 +0100

girara (0.1.4-2) experimental; urgency=low

  * debian/control:
    - Update my mail address.
    - Remove DMUA, not needed anymore.
    - Bump Standards-Version to 3.9.4 (no changes required).
  * debian/copyright: Update my mail address.
  * debian/patches:
    - Add map-home-end.patch: Make Home and End mappable. Thanks to Yuri
      D'Elia for the patch. (Closes: #693803)
    - Add locale-independent-strtod.patch: Use a locale-independent version
      of strtod to parse floating point numbers.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 21 Nov 2012 21:35:59 +0100

girara (0.1.4-1) experimental; urgency=low

  * New upstream release.
  * d/libgirara.common.symbols: Add new symbols.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Tue, 04 Sep 2012 13:42:07 +0200

girara (0.1.3-1) experimental; urgency=low

  * New upstream release.
  * Bump SONAME.
    - Rename libgirara-gtk2-0 to libgirara-gtk2-1.
    - Rename libgirara-gtk3-0 to libgirara-gtk3-1.
  * debian/patches: Remove all patches, not needed anymore.
  * debian/libgirara.common.symbols: Add new symbols and bump minimal version
    of all other symbols.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Thu, 21 Jun 2012 10:31:53 +0200
