=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: girara
 Section: libs
 Priority: optional
-Maintainer: Sebastian Ramacher <s.ramacher@gmx.at>
-Uploaders: Jakub Wilk <jwilk@debian.org>
-DM-Upload-Allowed: yes
+Maintainer: Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
  check,
  debhelper (>= 9),
@@ -15,10 +13,10 @@
  xvfb
 Build-Depends-Indep:
  doxygen
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://pwmt.org/projects/girara/
 
-Package: libgirara-gtk2-0
+Package: libgirara-gtk2-1
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -38,7 +36,7 @@
  .
  This package contains the shared libraries linked against GTK+ 2.
 
-Package: libgirara-gtk3-0
+Package: libgirara-gtk3-1
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -64,11 +62,11 @@
 Multi-Arch: same
 Priority: extra
 Depends:
- libgirara-gtk2-0 | libgirara-gtk3-0,
+ libgirara-gtk2-1 | libgirara-gtk3-1,
  ${misc:Depends}
 Breaks:
- libgirara-gtk2-0 (<< ${binary:Version}),
- libgirara-gtk3-0 (<< ${binary:Version})
+ libgirara-gtk2-1 (<< ${binary:Version}),
+ libgirara-gtk3-1 (<< ${binary:Version})
 Description: library for minimalistic user interfaces (debugging symbols)
  A library focused at implementing minimalistic user interfaces. It provides
  three main components: a view widget that represents the actual application,
@@ -82,8 +80,8 @@
 Section: libdevel
 Multi-Arch: same
 Depends:
- libgirara-gtk2-0 (= ${binary:Version}),
- libgirara-gtk3-0 (= ${binary:Version}),
+ libgirara-gtk2-1 (= ${binary:Version}),
+ libgirara-gtk3-1 (= ${binary:Version}),
  libgtk2.0-dev,
  libgtk-3-dev,
  ${misc:Depends}
