=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 export MSGFMTFLAGS=--endianness little
 
 %:
-	dh $@
+	dh $@ --parallel
 
 override_dh_auto_clean:
 	set -e; for gtkver in 2 3 ; do \
