=== debian/changelog ===
girara (0.1.7-2) unstable; urgency=low

  * debian/patches/statusbar-layout: Apply upstream patches to fix the layout
    of the statusbar with small fonts.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 25 Aug 2013 18:50:19 +0200

girara (0.1.7-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: Re-enable test suite on kfreebsd-amd64. (Closes: #712273)
  * debian/patches/glib-2.35.3-HOME.patch: Removed, not needed anymore.
  * debian/libgirara.common.symbols: Add new symbols.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 15 Aug 2013 01:04:00 +0200

girara (0.1.6-3) unstable; urgency=low

  * debian/rules: Don't run test suite on kfreebsd-amd64 since check is broken
    there (cf. #712196).

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 14 Jun 2013 20:42:46 +0200
