## girara 0.1.8

=== debian/changelog ===
girara (0.1.8-2) unstable; urgency=low

  * debian/patches/less-strict-fix-path-test.patch: Be less strict in
    girara_fix_path test.
  * debian/libgirara-gtk{2,3}-1.symbols: Add Build-Depends-Package.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 09 Nov 2013 02:23:04 +0100

girara (0.1.8-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/statusbar-layout: Removed, no longer needed.
  * debian/compat: Bump Standards-Version to 3.9.5.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 08 Nov 2013 21:18:48 +0100
