=== debian/control ===
--- 
+++ 
@@ -13,13 +13,14 @@
  xvfb
 Build-Depends-Indep:
  doxygen
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://pwmt.org/projects/girara/
 
 Package: libgirara-gtk2-1
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
+Pre-Depends:
+ ${misc:Pre-Depends}
 Depends:
  xdg-utils,
  ${misc:Depends},
@@ -39,7 +40,8 @@
 Package: libgirara-gtk3-1
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
+Pre-Depends:
+ ${misc:Pre-Depends}
 Depends:
  xdg-utils,
  ${misc:Depends},
