=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,7 @@
 	# build documentation if doxygen is available and remove the copy of jquery
 	# and replace it with the one from libjs-jquery
 ifneq "$(wildcard /usr/bin/doxygen)" ""
-	$(MAKE) doc ;
+	$(MAKE) doc
 	rm -f doc/html/installdox
 	rm doc/html/jquery.js
 	ln -s /usr/share/javascript/jquery/jquery.js doc/html/jquery.js
