=== po/Makefile ===
--- 
+++ 
@@ -3,10 +3,16 @@
 include ../config.mk
 include ../common.mk
 
-PROJECTNV = girara
-PROJECT   = girara-gtk${GIRARA_GTK_VERSION}
-CATALOGS  = $(wildcard *.po)
-MOS = $(patsubst %.po, %/LC_MESSAGES/${GETTEXT_PACKAGE}.mo, $(CATALOGS))
+PROJECTNV  = girara
+PROJECT    = girara-gtk${GIRARA_GTK_VERSION}
+CATALOGS   = $(wildcard *.po)
+LINGUAS   ?= $(patsubst %.po, %, $(CATALOGS))
+ifeq ($(LINGUAS),)
+ALINGUAS   =
+else
+ALINGUAS   = $(shell find $(patsubst %, %.po, $(LINGUAS)) 2>/dev/null)
+endif
+MOS = $(patsubst %, %/LC_MESSAGES/${GETTEXT_PACKAGE}.mo, $(patsubst %.po, %, $(ALINGUAS)))
 
 all: ${MOS}
 
@@ -28,6 +34,7 @@
 	$(ECHO) updating po files: ${CATALOGS}
 	$(QUIET)set -e && for f in ${CATALOGS} ; do \
 		intltool-update --dist --gettext-package=${GETTEXT_PACKAGE} `echo $$f | sed 's/\.po//'` ; \
+		sed -i 's/Report-Msgid-Bugs-To: \\n/Report-Msgid-Bugs-To: http:\/\/bugs.pwmt.org\\n/'  "$$f" ; \
 	done
 
 %/LC_MESSAGES/${GETTEXT_PACKAGE}.mo: %.po
@@ -38,7 +45,7 @@
 install: ${MOS}
 	$(ECHO) installing translations
 	$(QUIET)set -e && for f in $^ ; do \
-		mkdir -p $(DESTDIR)$(LOCALEDIR)/`dirname $$f`; \
+		mkdir -p -m 755 $(DESTDIR)$(LOCALEDIR)/`dirname $$f`; \
 		install -m 644 $$f $(DESTDIR)$(LOCALEDIR)/`dirname $$f` ; \
 	done
