=== debian/changelog ===
girara (0.1.9-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/fix-gtk3-scroll.patch: Removed, no longer needed.
  * No longer build GTK+ 2 flavor. zathura now uses GTK+ 3 and the GTK+ 2
    flavor is no longer needed:
    - debian/control:
      + Drop libgirara-gtk-2-1.
      + Add Breaks: zathura-dev (<< 0.2.5-1) to libgirara-dev.
      + Remove libgtk2.0-dev from Build-Depends and libgirara-dev's Depends.
    - debian/rules: Remove all code to build both flavors since it is no
      longer needed.
    - debian/libgirara-gtk2-1.{install,symbols}: Removed, no longer needed.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 23 Nov 2013 19:12:55 +0100

girara (0.1.8-3) unstable; urgency=low

  * debian/patches/fix-gtk3-scroll.patch: Upstream patch to fix handling of
    scroll events with GTK+ 3.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 11 Nov 2013 12:59:49 +0100
