=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
  check,
  debhelper (>= 9),
  libgtk-3-dev,
- libgtk2.0-dev,
  pkg-config,
  gettext,
  xauth,
@@ -15,27 +14,6 @@
  doxygen
 Standards-Version: 3.9.5
 Homepage: http://pwmt.org/projects/girara/
-
-Package: libgirara-gtk2-1
-Architecture: any
-Multi-Arch: same
-Pre-Depends:
- ${misc:Pre-Depends}
-Depends:
- xdg-utils,
- ${misc:Depends},
- ${shlibs:Depends}
-Suggests:
- libgirara-dbg (= ${binary:Version})
-Breaks:
- libgirara-dbg (<< ${binary:Version})
-Description: library for minimalistic user interfaces (shared libraries, GTK+ 2)
- A library focused at implementing minimalistic user interfaces. It provides
- three main components: a view widget that represents the actual application,
- an input bar to execute application specific commands and a status bar which
- provides information to the user.
- .
- This package contains the shared libraries linked against GTK+ 2.
 
 Package: libgirara-gtk3-1
 Architecture: any
@@ -64,11 +42,8 @@
 Multi-Arch: same
 Priority: extra
 Depends:
- libgirara-gtk2-1 | libgirara-gtk3-1,
+ libgirara-gtk3-1 (= ${binary:Version}),
  ${misc:Depends}
-Breaks:
- libgirara-gtk2-1 (<< ${binary:Version}),
- libgirara-gtk3-1 (<< ${binary:Version})
 Description: library for minimalistic user interfaces (debugging symbols)
  A library focused at implementing minimalistic user interfaces. It provides
  three main components: a view widget that represents the actual application,
@@ -82,13 +57,13 @@
 Section: libdevel
 Multi-Arch: same
 Depends:
- libgirara-gtk2-1 (= ${binary:Version}),
  libgirara-gtk3-1 (= ${binary:Version}),
- libgtk2.0-dev,
  libgtk-3-dev,
  ${misc:Depends}
 Suggests:
  libgirara-doc (= ${source:Version})
+Breaks:
+ zathura-dev (<< 0.2.5-1)
 Description: library for minimalistic user interfaces (development files)
  A library focused at implementing minimalistic user interfaces. It provides
  three main components: a view widget that represents the actual application,
