=== debian/rules ===
--- 
+++ 
@@ -17,27 +17,10 @@
 %:
 	dh $@ --parallel
 
-override_dh_auto_clean:
-	set -e; for gtkver in 2 3 ; do \
-		GIRARA_GTK_VERSION=$$gtkver $(MAKE) clean ; \
-	done
-
-override_dh_auto_build-arch:
-	set -e; for gtkver in 2 3 ; do \
-		GIRARA_GTK_VERSION=$$gtkver $(MAKE) ; \
-	done
-
 override_dh_auto_test-arch:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	xvfb-run -a sh -c 'set -e; for gtkver in 2 3 ; do \
-		GIRARA_GTK_VERSION=$$gtkver $(MAKE) test ; \
-	done'
+	xvfb-run -a $(MAKE) test
 endif
-
-override_dh_auto_install-arch:
-	set -e; for gtkver in 2 3 ; do \
-		GIRARA_GTK_VERSION=$$gtkver $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp ; \
-	done
 
 override_dh_strip:
 	dh_strip --dbg-package=libgirara-dbg
@@ -52,5 +35,5 @@
 	ln -s /usr/share/javascript/jquery/jquery.js doc/html/jquery.js
 endif
 
-# no tests and install for indep
 override_dh_auto_test-indep override_dh_auto_install-indep:
+	# no tests and install for indep
