=== debian/watch ===
version=3
http://pwmt.org/projects/girara/download girara-(.*)\.tar\.gz
